std_thread.h(3cxx)

NAME
std_thread.h

SYNOPSIS

  Classes

struct std::hash< thread::id >
std::hash specialization for thread::id.
class std::thread::id
thread::id
class std::thread
thread

  Namespaces

std
ISO C++ entities toplevel namespace is std.
std::this_thread
ISO C++ 2011 namespace for interacting with the current thread.

  Functions

thread::id std::this_thread::get_id () noexcept
this_thread::get_id
bool std::operator== (thread::id __x, thread::id __y) noexcept
void std::swap (thread &__x, thread &__y) noexcept
void std::this_thread::yield () noexcept
this_thread::yield

Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <thread>.

Author

Generated automatically by Doxygen for libstdc++ from the source code.